canvas:
  width: 800
  height: 600
  background: "#ffffff"

shapes:
  - type: rectangle
    position: [100, 100]
    size: [300, 150]
    fill: "#ff0000"
    stroke: "#000000"
    stroke_width: 3

  - type: circle
    center: [500, 300]
    radius: 80
    fill: "#00ff00"
    stroke: "#000000"
    stroke_width: 2

  - type: line
    start: [50, 50]
    end: [750, 550]
    stroke: "#0000ff"
    stroke_width: 5

  - type: text
    content: "Hello, YAML Graphics!"
    position: [100, 500]
    font_size: 36
    fill: "#333333"
